NOT the latest version of Safari.
Latest version of Safari is 6.0 and appears to require Lion or Mountain Lion to run.

Although the "Techs" tell you that you are not using the latest version of Safari, which is kinda true, I assume these problems did not just start after you updated something.

Depending on your Mac, you could possibly update to Lion or Mountain Lion, but without any details on your machine I can only suggest that it "might" be possible.

Another suggestion would be to try it in another browser, Firefox or Chrome for example. They appear to be supported.

P